#
#    AutoGrader - a program that automatically grades programming assignments.
#    Copyright (C) 2006  Pete Nordquist   (nordquip at sou.edu)
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License along
#    with this program; if not, write to the Free Software Foundation, Inc.,
#    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#
#	Version 1.6 - works with java 6 SE update 2

# Execute this bash script from the src directory:
# cd src
# ../build.sh

# to create a new key
# in the v1 directory:
#  keytool -genkey -alias ag -keypass agkeypass -keystore ag.ks \
# 	 -storepass agstorepass
# What is your first and last name?
#   [Unknown]:  Pete Nordquist
# What is the name of your organizational unit?
#   [Unknown]:  CS
# What is the name of your organization?
#   [Unknown]:  SOU
# What is the name of your City or Locality?
#   [Unknown]:  Ashland
# What is the name of your State or Province?
#   [Unknown]:  OR
# What is the two-letter country code for this unit?
#   [Unknown]:  US
# Is CN=Pete Nordquist, OU=CS, O=SOU, L=Ashland, ST=OR, C=US correct?
#   [no]:  y


javac -cp ".;./ch" *.java
jar cvfm ../ag.jar Manifest.txt `find . -name '*.class'`
jarsigner -keystore ../ag.ks \
	-storepass agstorepass \
	-keypass agkeypass \
	../ag.jar \
	ag
